package farmacie_con_liste;

public class MedicinaleNonTradizionale extends Medicinale{

	private String tipologia;
	
	public MedicinaleNonTradizionale() {
		this("","",0,"nessuna_casa","");
	}
	
	/*
	 * costruttore di default alternativo
	 
	public MedicinaleNonTradizionale(){
		super();
		this.tipologia = "";
	}
	 
	 */
	
	public MedicinaleNonTradizionale(String principio, String f, double prezzo, String casa, String t) {
		super(principio,f,prezzo,casa);
		this.tipologia = t;
	}
	
	public String getTipologia() {
		return tipologia;
	}
	
	@Override
	public String toString() {
		String s = super.toString();
		s += "Tipologia: "+tipologia+"\n";
		return s;
	}
}
